Class UmlRelation

This class manages 'relations' between classes, notes that the class 'UmlClassItem'
is a mother class of all the class's children.
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlRelation : public UmlBaseRelation
- Java : class UmlRelation extends UmlBaseRelation

Artifact : UmlRelation

Operation UmlRelation

Declaration :

- Uml : + UmlRelation(in id : item_id, in n : string) :
- C++ : public: UmlRelation(void * id, const QCString & n) : UmlBaseRelation(id, n)
- Java : public UmlRelation(long id, String n)

All public operations : addGetOperation , addSetOperation , apply , association , children , childrenVisible , constraint , cppDecl , cppVirtualInheritance , cppVisibility , create , defaultValue , defined_ , deleteIt , description , getIdentifier , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isIdlTruncatableInheritance , isJavaTransient , isMarked , isReadOnly , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , kind , markedItems , moveAfter , multiplicity , name , parent , phpDecl , properties , propertyValue , referencedBy , relationKind , roleName , roleType , set_Association , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVirtualInheritance , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isIdlTruncatableInheritance , set_isJavaTransient , set_isMarked , set_isReadOnly , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Multiplicity , set_Name , set_PhpDecl , set_PropertyValue , set_RoleName , set_Stereotype , set_Stereotype , set_Visibility , setOperation , side , stereotype , supportFile , unload , unload , unload , visibility